void draw()
{
  background(bgColor);
  cameraPos = cam.getPosition();
  translate( -width/2, -height/4);   // Peasycam intially sets lookAt() at (0,0,0) hence we need to translate the axis

  // TURNS OFF CAMERA CONTROLS WHEN HOVERING OVER SLIDER
  if (cp5.window(this).isMouseOver()) {
    cam.setActive(false);
  } 
  else { 
    cam.setActive(true);
  }

  if (user_toggle_table1 == 1 && user_toggle_table2 == 1){
    drawData(dataMatrix1, numRows1, numColumns1, maxCount1, 0, 0, title_names1);
    drawData(dataMatrix2, numRows2, numColumns2, maxCount1, (int)user_separate, 2, title_names2);
  } 
  else if (user_toggle_table1 == 1) {
    drawData(dataMatrix1, numRows1, numColumns1, maxCount1, 0, 0, title_names1);
  }
  else if (user_toggle_table2 == 1) {
    drawData(dataMatrix2, numRows2, numColumns2, maxCount2, (int)user_separate, 2, title_names2);
  }

  drawGUI();

}
