void drawLabels(int[][] _labelArray, int _numRows, int _numColumns, String[] _title_names) {
  for (int i = 0; i < 6; i++){

    // CIRCLES
    pushMatrix();
      rotate(radians(90), 0, 1, 0);
      translate(0, 0, i * (_numRows-1)*2);
      noFill();
      strokeWeight(2);
      stroke(5,100);
      ellipse(0, 0, 575, 575);

      // YEARS
      textFont(fontYear);  
      fill(5,200);  
      pushMatrix();
        rotate(radians(-90), 1, 0, 0);
        rotate(radians(-160 - user_rotate),0,1,0);
        String year_step = nf(i+8, 2);
        text("20"+year_step, 300, -10, 0);
        // text(fade, 210, 15, 0);
      popMatrix();
    
      // BOOK TITLES  
      if (user_toggle_labels == 1) {
        float heightCalc = (i + 900) - (580 * i);
        float fade = abs(cameraPos[1] - heightCalc) * .3;
        float fade_lines = fade;
        if (fade_lines <= 120) fade_lines = 120;

        textFont(fontMain);
        fill(50, 255-(int)fade);
        strokeWeight(1);

        for (int j = 0; j < _numColumns; j++){
          pushMatrix();
          rotate(((j+5)/(float)_numColumns) * -PI * 2 + .03, 0, 0, 1);
          stroke(5, 255-(int)fade_lines);
          line(85, 0, 0, 270, 0, 0);
          
          if (user_toggle_label_flip == 1) {
            rotate(radians(180), 1, 0, 0);
            text(_title_names[j], 300, 6, 0);
          } else {
            text(_title_names[j], 300, 6, 0);
          }

          popMatrix();
        }
      }
    popMatrix();
  }
}